# Uses of Class
org.apache.lucene.search.BlendedTermQuery.Builder

Packages that use BlendedTermQuery.Builder
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of BlendedTermQuery.Builder in org.apache.lucene.search

  Methods in org.apache.lucene.search that return BlendedTermQuery.Builder
  Modifier and Type
  Method
  Description
  `BlendedTermQuery.Builder`
  BlendedTermQuery.Builder.`add(Term term)`
  Add a new `Term` to this builder, with a default boost of `1`.
  `BlendedTermQuery.Builder`
  BlendedTermQuery.Builder.`add(Term term, float boost)`
  Add a `Term` with the provided boost.
  `BlendedTermQuery.Builder`
  BlendedTermQuery.Builder.`add(Term term, float boost, TermStates context)`
  Expert: Add a `Term` with the provided boost and context.
  `protected BlendedTermQuery.Builder`
  MultiTermQuery.TopTermsBlendedFreqScoringRewrite.`getTopLevelBuilder()`
  `BlendedTermQuery.Builder`
  BlendedTermQuery.Builder.`setRewriteMethod(BlendedTermQuery.RewriteMethod rewiteMethod)`
  Set the `BlendedTermQuery.RewriteMethod`.
  Methods in org.apache.lucene.search with parameters of type BlendedTermQuery.Builder
  Modifier and Type
  Method
  Description
  `protected void`
  MultiTermQuery.TopTermsBlendedFreqScoringRewrite.`addClause(BlendedTermQuery.Builder topLevel, Term term, int docCount, float boost, TermStates states)`
  `protected Query`
  MultiTermQuery.TopTermsBlendedFreqScoringRewrite.`build(BlendedTermQuery.Builder builder)`